#Query Item
#Request Path
[POST] /api/v2/bill-payment/item/query#Parameter List
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| sceneCode | String | - | Yes | Business scenario code【see detailed scenario codes】 |
| billerId | String | 32 | Yes | Operator ID |
#Return Values
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| billerId | String | 32 | Yes | Carrier ID |
| itemId | String | 32 | Yes | Package ID |
| itemName | String | 32 | Yes | Package Name |
| amount | Long | - | No | Package Amount |
| minAmount | Long | - | No | Minimum Recharge Amount |
| maxAmount | Long | - | No | Maximum Recharge Amount |
| isFixAmount | Integer | - | No | Fixed Amount Flag 0-Non-fixed Amount 1-Fixed Amount |
| status | Integer | - | No | Status 0 1 |
| extInfo | Object | - | No | Extended Parameters |
| ExtInfo Object Fields | Type | Length | Required | Description |
|---|---|---|---|---|
| validityDate | Long | 32 | No | Package Validity Days |
| itemSize | String | 32 | No | Package Size |
| itemDescription | Map | - | No | Package Usage Instructions |
#Postman Request Example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/bill-payment/item/query' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{"requestTime":1713924195586,"nonceStr":"6brpMN6ekD2kxZb2Xz7XQehadenFn8d3","version":"V2","billerId":"MTN","sceneCode":"airtime"}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": [
{
"billerId": "MTN",
"itemId": "5267001812",
"itemName": "MTN Adaptable Amount",
"amount": 10000,
"maxAmount": null,
"minAmount": null,
"isFixAmount": 0,
"status": 1
}
]
}#Common Error Codes
#Business Error Codes
| Error Code | Error Description | Solution |
|---|---|---|
| SBP.INVALID_PARAMETER | Invalid parameter | Check the request parameters and resend after making corrections |
| SBP.INVALID_SCENE_CODE | Invalid scenario code | Check the scenario code and resend after making corrections |
| SBP.BILLER_DISABLE | Operator unavailable | Check if the Operator ID is correct or if the Operator status is available |